Get Currency Settings

get

/applications/{applicationName}/databases/{databaseName}/currencySettings

Returns the currency settings for the database.

Request

Path Parameters
Back to Top

Response

200 Response

OK

Currency settings returned successfully.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how get the currency-conversion related information for a cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Currency/databases/Interntl/currencySettings" -H Accept:application/json -u %User%:%Password%

Example of Response Body

If the main cube is set up correctly for currency conversion, the response body has values for all the keys in the schema:

{
  "currencyDatabase": "Xchgrate",
  "conversionType": "division",
  "conversionTypeMemberName": "Act xchg",
  "countryMemberName": "Market",
  "timeMemberName": "Year",
  "partitionMemberName": "Scenario"
}

If the main cube is not set up for currency conversion, the response body may look like this:

{
  "currencyDatabase": "",
  "conversionType": "division",
  "conversionTypeMemberName": "",
  "countryMemberName": "",
  "timeMemberName": "Year",
  "partitionMemberName": ""
}

To learn about setting up currency conversion for a cube, see Structure of Currency Applications.

Back to Top